Tag: gradle

Impossible d'installer un référentiel et un projet de synchronisation – ne pouvant utiliser les bibliothèques de support 25.2.0

J'essaie d'utiliser les bibliothèques de support de la version 25.2.0 afin que je puisse utiliser la bibliothèque CameraKit . J'ai téléchargé les outils de construction les plus récents: Et le référentiel de support: Mon fichier gradle: apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion '25.0.2' defaultConfig { applicationId "com.sample.myapp" minSdkVersion 21 targetSdkVersion 25 versionCode 1 […]

Studio Android – Erreur de script de création, Méthode DSL Gradle non prise en charge trouvée: 'android ()'!

Je reçois l'erreur suivante dans Android Studio 0.4.2 lorsque j'essaie de synchroniser le projet avec gradle. Gradle 'GooglePlayServicesTest' project refresh failed: Build script error, unsupported Gradle DSL method found: 'android()'! Le fichier gradle de mes projets est le suivant: buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.7.+' } } allprojects { repositories { […]

Butter Knife – Inject sur Android lib

Je travaille sur Android Studio avec Gradle. Mon problème est des champs non constants dans les étiquettes de cas . Quand j'utilise Butter Knife dans Android lib, je reçois l'erreur suivante: tutuFragment.java:31: error: attribute value must be constant @InjectView(R.id.noContactTV) Quelqu'un at-il eu le même problème et, dans l'affirmative, avez-vous une solution?

2 icônes d'application après l'installation de la version apk, à l'aide de la compilation Gradle

J'utilise ./gradlew assembleRelease command pour générer la version apk pour l'application. Lors de l'installation de l'application, je reçois 2 icônes de l'application. Pas d'indicateur de ce que je manque. Pas de problème avec Google. En cliquant sur la deuxième icône, il s'affiche simplement Indeterminé. Voici mon fichier build.gradle: buildscript { repositories { maven { url […]

Cordova / Ionic build android Gradle error: la version minimum supprimée de Gradle est 2.14.1. La version actuelle est 2.13

C'est une solution à l'erreur ci-dessus que je souhaite documenter. J'ai trouvé d'autres messages similaires, mais aucun n'a décrit comment cette erreur peut être associée à Cordova ou à Ionic. Si vous ne faites pas attention, il peut y avoir une inadéquation entre la version de Gradle utilisée par Android Studio et la version de […]

Exception essayant d'exécuter l'application Android de Eclipse To Android Studio

J'ai essayé de migrer un projet Android d'Eclipse vers Android Studio, j'ai essayé de deux façons, ouvrir directement depuis Android Studio et migrer vers Gradle dans Eclipse d'abord, puis l'ouvrir dans Android Studio. Ensuite, j'ai essayé de supprimer le dossier de la bibliothèque Google Play et l'ai ajouté dans mon fichier Gradle, puis le projet […]

Utiliser le nom du package en XML

J'utilise Android Studio pour créer ma demande. Je voudrais utiliser gradle buildTypes. J'ajoute un suffixe au nom du package avec applicationIdSuffix pour modifier le nom du package pour un type de compilation de test. buildTypes { debug { runProguard false proguardFile 'proguard-rules.txt' applicationIdSuffix '.dev' versionNameSuffix '-dev' } } Est-il possible d'utiliser ces informations dans un […]

Studio Android 1.5.1: Impossible de trouver la propriété 'vectorDrawables'

J'utilise Android Studio 1.5.1, Gradle 2.8 et mon projet min sdk vserion: 14, cible sdk version: 23. Donc, quand j'ajoute vectorDrawables à la configuration par la documentation Google: Ajout de la bibliothèque de support VectorDrawable , j'obtiens l'erreur suivante: Error:(13, 0) Could not find property 'vectorDrawables' on ProductFlavor_Decorated{name=main, dimension=null, minSdkVersion=ApiVersionImpl{mApiLevel=14, mCodename='null'}, targetSdkVersion=ApiVersionImpl{mApiLevel=23, mCodename='null'}, renderscriptTargetApi=null, renderscriptSupportModeEnabled=null, […]

Construire avec Gradle Throws MalformedJsonException

Chaque fois que j'essaie de construire mon projet avec Gradle, je reçois cette erreur :app:mergeDebugResources FAILED FAILURE: Build failed with an exception. * What went wrong: Execution failed for task ':app:mergeDebugResources'. > Error: com.google.common.util.concurrent.UncheckedExecutionException: java.lang.RuntimeException: com.google.gson.stream.MalformedJsonException: Use JsonReader.setLenient(true) to accept malformed JSON at line 1 column 1 * Try: Run with –info or –debug option […]

Impossible d'installer l'application Android via le débogage usb

Je sais que c'est une ancienne question, mais j'essaie d'installer mon application la toute première fois sur la note 4 de Redmi. Chaque fois que j'essaye de l'installer, une boîte de dialogue dit … L'installation a échoué avec le message Impossible d'établir une session. Il est possible que ce problème soit résolu en désinstallant une […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.